# PCLinuxOS Copyright by Bill Reynolds (Texstar)
# Import by D.M.-Wilhelm (leiche)

%define zver 151303
%define prefix /usr
%define name kde-servicemenu-file-roller
%define version %zver
%define release %mkrel 1
%define url http://kde-look.org/content/show.php/Extract+Here+and+Compress+-+File-roller?content=151303

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/KDE4
URL:		%{url}
Source:		%zver-file-roller-kde-servicemenu.tar.xz
Summary:	Extract Here and Compress - File-roller for kde
Summary(de):	Hier entpacken und komprimieren - File-Roller für KDE
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kde-baseapps kde-workspace
Requires:	file-roller
Obsoletes:	%name < %version-%release

%description
I've always found Ark to be limited/restrictive, and preferred file-roller. 
So, after a bit of tinkering and seeing how they did the job for Ark menu 
integration, I created my own servicemenu that calls file-roller instead.

#german
%description -l de
Ich finde, dass Ark stark limitiert/schwach ist und bevorzuge file-roller. 
Also, habe ich ein wenig gebastelt und file-roller als Servicemenu in der
KDE Arbeitsumgebung eingebracht. 
%prep

%setup -q -n %zver-file-roller-kde-servicemenu

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 %buildroot%_datadir/kde4/services/ServiceMenus
install -m 0644 *.desktop %buildroot%_datadir/kde4/services/ServiceMenus/



%files
%defattr(-,root,root)
%_datadir/kde4/services/ServiceMenus/*.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%zver-file-roller-kde-servicemenu

%changelog
* Thu Jun 21 2012 Neal <nealbrks0 at gmail dot com> 151303-1pclos2012
- process

* Wed Jun 20 2012 leiche <meisssw01 at gmail.com> 151303-1leiche2012
- initial package
